Subject: [Healeys] Webers

From: "John Carter" <[email-masked]>
Date: Mon, 30 Dec 2013 08:47:11 -0800 FILETIME=[D1E27090:01CF057E]

I have had triple SK carbs on my BJ8 II for over 16 years. They are Japanese
copies of Webers and use Weber tuning parts. The best advise I can give you is
to go to a shop like
Loyningbs in Portland,OR and have the car tuned on a chassis dyno by someone
who knows what they are doing. My car has never run better since I did just
that. I never touch
the carbs and it runs great at both low and high rpmbs. I get about 16mpg on
the highway and 13 in town on premium gas.
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys